Page MenuHomePhabricator

change efl layout signal callbacks
Closed, ResolvedPublic

Description

I think we might have a problem with this API. The callback is defined as an opaque type that will require binding to implement manually. I think we might want to changed things here and have a legacy call that is not residing in .eo with the old legacy callback API function prototype and a new API using Eo callback so that binding can generate this one automatically. I think it is doable and shouldn't be a big amount of work. If you want to assign that work to me, I might be able to do it tomorrow.

Related Objects

zmike created this task.Jan 31 2019, 5:14 AM
zmike triaged this task as TODO priority.
zmike mentioned this in T7582: efl.layout.signal.
cedric closed this task as Resolved.Feb 7 2019, 12:31 AM

This is now done with the two patch above.

segfaultxavi moved this task from Backlog to Stabilized on the efl: api board.Feb 14 2019, 12:31 PM